import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PhysicalReplicationSlotConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/postgresql/r/physical_replication_slot#name PhysicalReplicationSlot#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/postgresql/r/physical_replication_slot postgresql_physical_replication_slot}
*/
export declare class PhysicalReplicationSlot extends cdktf.TerraformResource {
    static readonly tfResourceType = "postgresql_physical_replication_slot";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/postgresql/r/physical_replication_slot postgresql_physical_replication_slot} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options PhysicalReplicationSlotConfig
    */
    constructor(scope: Construct, id: string, config: PhysicalReplicationSlotConfig);
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
